%define upstream_name    Module-Install-ManifestSkip
%define upstream_version 0.24

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Generate a MANIFEST.SKIP file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Install::Base)
BuildRequires: perl(Module::Manifest::Skip)
BuildArch: noarch

%description
This module generates a 'MANIFEST.SKIP' file for you (using the
Module::Manifest::Skip manpage) that contains the common files that people
do not want in their 'MANIFEST' files. The SKIP file is generated each time
that you (the module author) run 'Makefile.PL'.

You can add your own custom entries at the top of the 'MANIFEST' file. Just
put a blank line after your entries, and they will be left alone.

This module also adds 'MANIFEST' to the 'clean_files()' list so that 'make
clean' will remove your 'MANIFEST'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml Changes README LICENSE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.240.0-5.mga6
+ Revision: 1030079
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.240.0-4.mga6
+ Revision: 942729
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.240.0-3.mga5
+ Revision: 747080
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.240.0-2.mga5
+ Revision: 685443
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 0.240.0-1.mga5
+ Revision: 664577
- update to 0.24

* Sat Aug 16 2014 sander85 <sander85> 0.230.0-1.mga5
+ Revision: 664217
- update to 0.23

* Fri Aug 01 2014 sander85 <sander85> 0.220.0-1.mga5
+ Revision: 659038
- update to 0.22

* Sun Jul 27 2014 sander85 <sander85> 0.210.0-1.mga5
+ Revision: 657483
- update to 0.21

* Fri Oct 18 2013 umeabot <umeabot> 0.200.0-3.mga4
+ Revision: 512993
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-2.mga3
+ Revision: 369872
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 16 2011 shlomif <shlomif> 0.200.0-1.mga2
+ Revision: 182793
- imported package perl-Module-Install-ManifestSkip


* Fri Dec 16 2011 cpan2dist 0.20-1mga
- initial mageia release, generated with cpan2dist
